33 Replies Latest reply on Jul 5, 2017 8:50 AM by gener7

    Can't update to Lightroom 6.10

    williamk64342549 Level 1

      My non-CC Lightroom was at 6.9. When I ran the updater to 6.10 this message appears and I could no longer open Lightroom. I replaced LR from my backup drive and ran the updater again and got the same problem and message. Why won't 6.9 update to 6.10?  I am on a Mac running OS X 10.12.4

      Screen Shot 2017-04-12 at 9.58.45 AM.png